# Define version and release number
%define modname trace
%define soname %{modname}.so
%define inifile A50_%{modname}.ini
%define prerel beta

Name:		php-%{modname}
Version:	1.0.1
Release:	%mkrel 9
Group:		Development/PHP
Summary:	Trace is a low-overhead tracing tool for PHP
License:	Apache 2.0
URL:		https://pecl.php.net/package/trace
Source0:	http://pecl.php.net/get/%{modname}-%{version}%{prerel}.tgz
BuildRequires:	php-devel >= 3:7.3.0
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4

%description
Trace is a low-overhead tracing tool for PHP.
It can trace all PHP executing, function calls, request information during
run-time. And provides features like Filter, Statistics, Current Status and
so on.
It is very useful to locate blocking, heavy-load problems and debug in all
environments, especially in production environments.

%prep

%setup -q -n %{modname}-%{version}%{prerel}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
cd extension
phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so ..
%make_build cli
mv ../src/phptrace ..

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m755 phptrace %{buildroot}%{_bindir}/phptrace

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc example.php package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%attr(0755,root,root) %{_bindir}/phptrace


%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 1.0.1-9.mga7
+ Revision: 1595921
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 1.0.1-8.mga8
+ Revision: 1538999
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1.0.1-7.mga8
+ Revision: 1463543
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1.0.1-6.mga8
+ Revision: 1454937
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1.0.1-4.mga7
+ Revision: 1340460
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1.0.1-3.mga7
+ Revision: 1326044
- updated requires

* Thu Oct 04 2018 mokraemer <mokraemer> 1.0.1-2.mga7
+ Revision: 1317765
- correct massrebuild
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 mokraemer <mokraemer> 1.0.1-1.mga7
+ Revision: 1184555
- new php extension trace
- Created package structure for php-trace.

